> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/itservices/models/event-profiling-api/endpoints.md).

# Endpoints

## Retrieve Event information

> Fetches real-time delay recommendations for a specified list of events.

```json
{"openapi":"3.0.1","info":{"title":"Event API","version":"2025-10-06T18:33:08Z"},"servers":[{"url":"https://api.insighttechservices.sportradar.com/{basePath}","variables":{"basePath":{"default":"api/event"}}}],"security":[{"event-api-req-authorizer":[]}],"components":{"securitySchemes":{"event-api-req-authorizer":{"type":"apiKey","description":"Bearer authentication header of the form Bearer \\<TOKEN\\>.","name":"Unused","in":"header"}},"schemas":{"EventFetchRequest":{"required":["ids"],"type":"object","properties":{"ids":{"type":"array","items":{"required":["categoryId","matchId","sportId","tournamentId"],"type":"object","properties":{"categoryId":{"type":"string","enum":["sr:category:1"]},"matchId":{"type":"string","enum":["sr:match:1234567"]},"sportId":{"type":"string","enum":["sr:sport:1"]},"tournamentId":{"type":"string","enum":["sr:tournament:17"]}}}}}},"EventResponse":{"required":["items"],"type":"object","properties":{"items":{"type":"array","items":{"required":["eventId"],"type":"object","properties":{"eventId":{"type":"string"},"liveTimeDelaySettings":{"$ref":"#/components/schemas/EventResponseItemsItemLiveTimeDelaySettings"},"liveTr":{"type":"integer"},"prematchTr":{"type":"integer"}}}}}},"EventResponseItemsItemLiveTimeDelaySettings":{"type":"object","properties":{"liveTimeDelayTv":{"maximum":10,"minimum":1,"type":"integer"},"liveTimeDelayUmpire":{"maximum":10,"minimum":1,"type":"integer"},"liveTimeDelayVenue":{"maximum":10,"minimum":1,"type":"integer"}}},"ResponseExample":{"required":["queryExecutionTime","requestId","responseItem","responseMessage","responseStatus"],"type":"object","properties":{"lastEvaluatedKey":{"type":"string","enum":["83hdf97f98f"]},"queryExecutionTime":{"type":"integer","enum":[5]},"requestId":{"type":"string","enum":["c81d9e0b-d122-4e5a-b8e1-24c6c5113419"]},"responseItem":{"$ref":"#/components/schemas/ResponseExampleResponseItem"},"responseMessage":{"type":"string","enum":["Number of events found: 1"]},"responseStatus":{"type":"string","enum":["SUCCESSFUL"]}}},"ResponseExampleResponseItem":{"required":["events"],"type":"object","properties":{"events":{"type":"array","items":{"$ref":"#/components/schemas/ResponseExampleResponseItemEventsItem"}}},"additionalProperties":false},"ResponseExampleResponseItemEventsItem":{"required":["coverage","id"],"type":"object","properties":{"coverage":{"type":"string","enum":["TV, UMPIRE, VENUE"]},"id":{"type":"string","enum":["match-001"]}},"additionalProperties":false},"Unauthorized":{"title":"Unauthorized","type":"object","properties":{"message":{"type":"string","enum":["Authorization error, please contact support."]}}},"Forbidden":{"title":"Forbidden","type":"object","properties":{"message":{"type":"string","enum":["You do not have permission to access this resource."]}}},"Throttled":{"title":"Throttled","type":"object","properties":{"message":{"type":"string","enum":["Request throttled! Try again later."]}}},"InternalError":{"title":"Internal Server Error","type":"object","properties":{"message":{"type":"string","enum":["Internal server error, please contact support."]}}}}},"paths":{"/fetch":{"post":{"tags":["Endpoints"],"summary":"Retrieve Event information","description":"Fetches real-time delay recommendations for a specified list of events.","operationId":"Events Fetch","requestBody":{"description":"Request body for fetching event data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFetchRequest"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventResponse"}},"application/example":{"schema":{"$ref":"#/components/schemas/ResponseExample"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthorized"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forbidden"}}}},"429":{"description":"Throttled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Throttled"}}}},"500":{"description":"Internal error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/itservices/models/event-profiling-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
